Skip to main content
GET
Get trader collateral history

Authorizations

Authorization
string
header
required

Bearer access token issued by /v1/auth/* login endpoints.

Path Parameters

trader_pubkey
string
required

Query Parameters

limit
integer<int64>
required

Number of items to return (max 1000)

nextCursor
string

Cursor for older events (base64-encoded).

prevCursor
string

Cursor for newer events (base64-encoded).

cursor
string

Deprecated cursor parameter (older events).

Response

200 - application/json

Response for collateral event history queries

data
object[]
required

The data payload (array of items)

hasMore
boolean
required

Whether there are more results in the requested direction

nextCursor
string | null

Cursor for fetching older results

prevCursor
string | null

Cursor for fetching newer results